import { ExceptionOptionType as __ExceptionOptionType } from "@smithy/smithy-client";
import { SageMakerA2IRuntimeServiceException as __BaseException } from "./SageMakerA2IRuntimeServiceException";
export interface DeleteHumanLoopRequest {
  HumanLoopName: string | undefined;
}
export interface DeleteHumanLoopResponse {}
export declare class InternalServerException extends __BaseException {
  readonly name: "InternalServerException";
  readonly $fault: "server";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<InternalServerException, __BaseException>
  );
}
export declare class ResourceNotFoundException extends __BaseException {
  readonly name: "ResourceNotFoundException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<ResourceNotFoundException, __BaseException>
  );
}
export declare class ThrottlingException extends __BaseException {
  readonly name: "ThrottlingException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<ThrottlingException, __BaseException>
  );
}
export declare class ValidationException extends __BaseException {
  readonly name: "ValidationException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<ValidationException, __BaseException>
  );
}
export interface DescribeHumanLoopRequest {
  HumanLoopName: string | undefined;
}
export interface HumanLoopOutput {
  OutputS3Uri: string | undefined;
}
export declare const HumanLoopStatus: {
  readonly COMPLETED: "Completed";
  readonly FAILED: "Failed";
  readonly IN_PROGRESS: "InProgress";
  readonly STOPPED: "Stopped";
  readonly STOPPING: "Stopping";
};
export type HumanLoopStatus =
  (typeof HumanLoopStatus)[keyof typeof HumanLoopStatus];
export interface DescribeHumanLoopResponse {
  CreationTime: Date | undefined;
  FailureReason?: string | undefined;
  FailureCode?: string | undefined;
  HumanLoopStatus: HumanLoopStatus | undefined;
  HumanLoopName: string | undefined;
  HumanLoopArn: string | undefined;
  FlowDefinitionArn: string | undefined;
  HumanLoopOutput?: HumanLoopOutput | undefined;
}
export declare const SortOrder: {
  readonly ASCENDING: "Ascending";
  readonly DESCENDING: "Descending";
};
export type SortOrder = (typeof SortOrder)[keyof typeof SortOrder];
export interface ListHumanLoopsRequest {
  CreationTimeAfter?: Date | undefined;
  CreationTimeBefore?: Date | undefined;
  FlowDefinitionArn: string | undefined;
  SortOrder?: SortOrder | undefined;
  NextToken?: string | undefined;
  MaxResults?: number | undefined;
}
export interface HumanLoopSummary {
  HumanLoopName?: string | undefined;
  HumanLoopStatus?: HumanLoopStatus | undefined;
  CreationTime?: Date | undefined;
  FailureReason?: string | undefined;
  FlowDefinitionArn?: string | undefined;
}
export interface ListHumanLoopsResponse {
  HumanLoopSummaries: HumanLoopSummary[] | undefined;
  NextToken?: string | undefined;
}
export declare class ConflictException extends __BaseException {
  readonly name: "ConflictException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(opts: __ExceptionOptionType<ConflictException, __BaseException>);
}
export declare class ServiceQuotaExceededException extends __BaseException {
  readonly name: "ServiceQuotaExceededException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<ServiceQuotaExceededException, __BaseException>
  );
}
export declare const ContentClassifier: {
  readonly FREE_OF_ADULT_CONTENT: "FreeOfAdultContent";
  readonly FREE_OF_PERSONALLY_IDENTIFIABLE_INFORMATION: "FreeOfPersonallyIdentifiableInformation";
};
export type ContentClassifier =
  (typeof ContentClassifier)[keyof typeof ContentClassifier];
export interface HumanLoopDataAttributes {
  ContentClassifiers: ContentClassifier[] | undefined;
}
export interface HumanLoopInput {
  InputContent: string | undefined;
}
export interface StartHumanLoopRequest {
  HumanLoopName: string | undefined;
  FlowDefinitionArn: string | undefined;
  HumanLoopInput: HumanLoopInput | undefined;
  DataAttributes?: HumanLoopDataAttributes | undefined;
}
export interface StartHumanLoopResponse {
  HumanLoopArn?: string | undefined;
}
export interface StopHumanLoopRequest {
  HumanLoopName: string | undefined;
}
export interface StopHumanLoopResponse {}
